Subject: FVWM: ms$ special keys bound.

From: "Eric F. Kahler ([email-masked])" <[email-masked]>
Date: Wed, 28 Feb 1996 15:56:44 -0500

Sometimes I should sit tight before posting to mailing lists.  I usually find 
an answer if I tinker long enough.  I'm sorry for the multiposts, but this 
post will probably be received well by those with ms$ keyboards.

The following binds the ms$ left window key to the Kanji keysym.  Any keysym 
will do (though it should be unused by your system -- look at keysymdef.h) as 
long as the same names are used on the command line and  in .fvwmrc. 
 
 	xmodmap -ev "keycode 115 = Kanji"
 
Then the following line allows the left window key (without having to press 
any other keys) to call up the menu Utilities (main menu on my system).
 
 	Key Kanji       A       A       Popup "Utilities"

Sean, Mark, and Ted,
	Thanks for the help, I've wanted to be able to do this since I got this 
keyboard last summer.

Cheers,
Eric.

-- 
From:  Eric Kahler.
[email-masked] 
http://mars.superlink.net/ekahler/index.html           

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Andrew Veliath <[email-masked]>
Date: Wed, 28 Feb 1996 17:01:36 -0500

>  	Key Kanji       A       A       Popup "Utilities"

You can bind to all three of the keys on the MSWin keyboard, I used to
have all three keys bound to menus and if I remember correctly the
keycodes were consecutive... if it is of any help you may actually
want to use a high function key, I had them bound to (from left to
right) F33, F34 and F35.  You might want one of the keys to start the
WindowList...  In addition to xkeycaps also man xev which also helps
debugging keycodes.

PS. Also I had Alt-Space bound to give the popup window menu.